import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { NgxEditorService } from '../../../editor.service';
import { MenuService } from '../menu.service';
import { HTML } from '../../../trustedTypesUtil';
import * as i0 from "@angular/core";
export declare class ColorPickerComponent implements OnInit, OnDestroy {
    private el;
    private menuService;
    private ngxeService;
    presets: string[][];
    type: string;
    constructor(el: ElementRef, menuService: MenuService, ngxeService: NgxEditorService);
    get title(): Observable<string>;
    get icon(): HTML;
    private get command();
    private updateSubscription;
    private editorView;
    showPopup: boolean;
    isActive: boolean;
    activeColors: string[];
    canExecute: boolean;
    getContrastYIQ(hexcolor: string): string;
    onDocumentClick(e: MouseEvent): void;
    private hidePopup;
    togglePopup(): void;
    onTogglePopupMouseClick(e: MouseEvent): void;
    onTogglePopupKeydown(): void;
    remove(): void;
    onRemoveMouseClick(e: MouseEvent): void;
    onRemoveKeydown(): void;
    trackByIndex(index: number): number;
    selectColor(color: string): void;
    onColorSelectMouseClick(e: MouseEvent, color: string): void;
    onColorSelectKeydown(color: string): void;
    private update;
    getLabel(key: string): Observable<string>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColorPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColorPickerComponent, "ngx-color-picker", never, { "presets": { "alias": "presets"; "required": false; }; "type": { "alias": "type"; "required": false; }; }, {}, never, never, false, never>;
}
