import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { AbstractControl, FormControl, FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { NgxEditorService } from '../../../editor.service';
import { MenuService } from '../menu.service';
import { HTML } from '../../../trustedTypesUtil';
import * as i0 from "@angular/core";
export declare class ImageComponent implements OnInit, OnDestroy {
    private el;
    private ngxeService;
    private menuService;
    showPopup: boolean;
    isActive: boolean;
    private componentId;
    private updateSubscription;
    form: FormGroup<{
        src: FormControl<string>;
        alt: FormControl<string>;
        title: FormControl<string>;
    }>;
    private editorView;
    constructor(el: ElementRef, ngxeService: NgxEditorService, menuService: MenuService);
    get icon(): HTML;
    get src(): AbstractControl;
    onDocumentClick(e: MouseEvent): void;
    getId(name: string): string;
    getLabel(key: string): Observable<string>;
    private hideForm;
    togglePopup(): void;
    onTogglePopupMouseClick(e: MouseEvent): void;
    onTogglePopupKeydown(): void;
    private fillForm;
    private update;
    insertLink(e: MouseEvent): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageComponent, "ngx-image", never, {}, {}, never, never, false, never>;
}
