import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { AbstractControl, FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { NgxEditorService } from '../../../editor.service';
import { MenuService } from '../menu.service';
import { HTML } from '../../../trustedTypesUtil';
import * as i0 from "@angular/core";
export interface LinkOptions {
    showOpenInNewTab: boolean;
}
export declare class LinkComponent implements OnInit, OnDestroy {
    private el;
    private ngxeService;
    private menuService;
    options: Partial<LinkOptions>;
    showPopup: boolean;
    isActive: boolean;
    canExecute: boolean;
    private componentId;
    form: FormGroup;
    private editorView;
    private updateSubscription;
    constructor(el: ElementRef, ngxeService: NgxEditorService, menuService: MenuService);
    get icon(): HTML;
    get title(): Observable<string>;
    get href(): AbstractControl;
    get text(): AbstractControl;
    onDocumentClick(e: MouseEvent): void;
    getId(name: string): string;
    getLabel(key: string): Observable<string>;
    private hidePopup;
    togglePopup(): void;
    onTogglePopupMouseClick(e: MouseEvent): void;
    onTogglePopupKeydown(): void;
    private setText;
    private update;
    insertLink(e: MouseEvent): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinkComponent, "ngx-link", never, { "options": { "alias": "options"; "required": false; }; }, {}, never, never, false, never>;
    static ngAcceptInputType_options: Partial<LinkOptions>;
}
