import { OnInit, TemplateRef } from '@angular/core';
import { Toolbar, ToolbarItem, ToolbarDropdown, ToolbarLinkOptions } from '../../types';
import { MenuService } from './menu.service';
import Editor from '../../Editor';
import * as i0 from "@angular/core";
export declare const DEFAULT_TOOLBAR: Toolbar;
export declare const TOOLBAR_MINIMAL: Toolbar;
export declare const TOOLBAR_FULL: Toolbar;
export declare class MenuComponent implements OnInit {
    private menuService;
    toolbar: Toolbar;
    colorPresets: string[];
    disabled: boolean;
    editor: Editor;
    customMenuRef: TemplateRef<any> | null;
    dropdownPlacement: 'top' | 'bottom';
    toggleCommands: ToolbarItem[];
    insertCommands: ToolbarItem[];
    iconContainerClass: string[];
    dropdownContainerClass: string[];
    seperatorClass: string[];
    constructor(menuService: MenuService);
    get presets(): string[][];
    trackByIndex(index: number): number;
    isDropDown(item: ToolbarItem): boolean;
    getDropdownItems(item: ToolbarItem): ToolbarDropdown;
    isLinkItem(item: ToolbarItem): boolean;
    isLinkWithOptions(item: ToolbarItem): boolean;
    getLinkOptions(item: ToolbarItem): Partial<ToolbarLinkOptions>;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuComponent, "ngx-editor-menu", never, { "toolbar": { "alias": "toolbar"; "required": false; }; "colorPresets": { "alias": "colorPresets"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "editor": { "alias": "editor"; "required": false; }; "customMenuRef": { "alias": "customMenuRef"; "required": false; }; "dropdownPlacement": { "alias": "dropdownPlacement"; "required": false; }; }, {}, never, never, false, never>;
}
